# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "gapic/common"
require "gapic/config"
require "gapic/config/method"

require "google/cloud/iap/v1/version"

require "google/cloud/iap/v1/identity_aware_proxy_o_auth_service/credentials"
require "google/cloud/iap/v1/identity_aware_proxy_o_auth_service/client"

module Google
  module Cloud
    module Iap
      module V1
        ##
        # API to programmatically create, list and retrieve Identity Aware Proxy (IAP)
        # OAuth brands; and create, retrieve, delete and reset-secret of IAP OAuth
        # clients.
        #
        # To load this service and instantiate a client:
        #
        #     require "google/cloud/iap/v1/identity_aware_proxy_o_auth_service"
        #     client = ::Google::Cloud::Iap::V1::IdentityAwareProxyOAuthService::Client.new
        #
        module IdentityAwareProxyOAuthService
        end
      end
    end
  end
end

helper_path = ::File.join __dir__, "identity_aware_proxy_o_auth_service", "helpers.rb"
require "google/cloud/iap/v1/identity_aware_proxy_o_auth_service/helpers" if ::File.file? helper_path
